<template>
<div>
  <adminNav/>
  <adminMenu/>
  <div class="app-content">
      <nuxt/>
  </div>
</div>
</template>

<script>
import { mapState } from 'vuex'

import AdminMenu from '~components/AdminMenu.vue'
import AdminNav from '~components/AdminNav.vue'

const checkLogin = (store) => store.dispatch('CHECK_LOGIN')

export default {
    components: {
        AdminMenu,
        AdminNav
    },
    computed: mapState({
        isAuthenticating: (state) => state.auth.isAuthenticating,
        isAuthenticated: (state) => state.auth.authenticated
    }),
    beforeMount () {
        checkLogin(this.$store).catch(() => this.$router.push('/login'))
    }
}
</script>

<style>
.app-content {
    margin-left: 240px;
    margin-top: 52px;
}
</style>